POST
/#X-Amz-Target=AmazonPersonalize.ListSolutionVersions
http://personalize.{region}.amazonaws.com/#X-Amz-Target=AmazonPersonalize.ListSolutionVersionsReturns a list of solution versions for the given solution. When a solution is not specified, all the solution versions associated with the account are listed. The response provides the properties for each solution version, including the Amazon Resource Name (ARN).
Access Token Required: API Key
Query Params
maxResultsstring
Pagination limit
nextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://personalize.{region}.amazonaws.com/#X-Amz-Target=AmazonPersonalize.ListSolutionVersions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}